/*
This software module was originally developed by AT&T
in the course of development of MPEG-4. 
This software module is an implementation of a part of one or 
more MPEG-4 tools as specified by MPEG-4. 
ISO/IEC gives users of MPEG-4 free license to this
software module or modifications thereof for use in hardware 
or software products claiming conformance to MPEG-4.
Those intending to use this software module in hardware or software
products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company,
the subsequent editors and their companies, and ISO/IEC have no
liability for use of this software module or modifications thereof
in an implementation.
Copyright is not released for non MPEG-4 conforming
products. AT&T. retains full right to use the code for its own
purpose, assign or donate the code to a third party and to
inhibit third parties from using the code for non 
MPEG-4 conforming products.
This copyright notice must be included in all copies or
derivative works. Copyright (c) 1999.
*/

int	adif_id_present();
MP4Err	getADTSinfo( MP4Handle decoderSpecificInfoH, u32 *timeScale, u8 *profile );
MP4Err	openAdifFile( char *filename );
MP4Err	ll_getADTSinfo( MP4Handle decoderSpecificInfoH, u32 *timeScale, u8 *profile, u8 i ,u8 lle_main_stream);
MP4Err	openAazFile( char *filename );
MP4Err	getDecoderSpecificInfo( u32 prog, MP4Handle decoderSpecificInfoH );
MP4Err	getAudio_profileAndLevel( u8 *audio_profileAndLevel );
MP4Err	getSamplingRate( u32 *samplingRate );
MP4Err	getDecoderBufferSize( u32 *decoderBufferSize );
MP4Err	getBitRates( u32 *maxBitrate, u32 *avgBitrate );
MP4Err	getRawDataBlock( MP4Handle sampleH );
MP4Err	ll_getRawDataBlock( MP4Handle *sampleH, int layer_num );
MP4Err	getSampleDuration( u32 *sampleDuration );
